var app = angular.module("ZeedhiDirectives");

app.directive('kdsStatistics', function (ApplicationContext){
	return {
		restrict: 'E',
		templateUrl: 'templates/widget/kds_statistics.html',
		link: function($scope, element, attrs){
			var environment = ApplicationContext.environment;
            let widget =  environment.getKDSWidget();
			$scope.localEnvironment = environment.getLocalEnvironment();

			$scope.kdsHabPedLib = $scope.localEnvironment.IDHABPEDLIB == 'S';
			$scope.habNewStatistics = function () {
				if ($scope.localEnvironment.IDHABESTATISTICAS == 'S'){
					return true;
				} else {
					return false;
				}				
			};

            widget.showDateTime = localStorage.getItem('showDateTime');

            if (widget.showDateTime) {

                widget.dateTime = moment().format('DD/MM/YYYY - HH:mm');
                let waitMilliSeconds = (60 - moment().seconds()) * 1000;
                // O setTimeout sincroniza o horário da primeira atualização com o relógio. Em seguida, o setInterval
                // passa a repetir a atualização a cada 60 segundos.
                setTimeout(() => {

                    widget.dateTime = moment().format('DD/MM/YYYY - HH:mm');
                    setInterval(() => {
                        widget.dateTime = moment().format('DD/MM/YYYY - HH:mm'); 
                    }, 60000);

                }, waitMilliSeconds);
            }
		}
	};
});